<template>
    <div class="dialog-table-container flex-space-a">
        <el-table
            height="400"
            align="center"
            :data="tableData"
            class="dialog_table"
            :cell-style="{'text-align': 'center'}"
            :header-cell-style="{'text-align': 'center'}"
        >
            <el-table-column
                prop="seasonReport"
                label="季度历史报告"
                show-overflow-tooltip
                ><template v-slot="{row}">
                    <div @click="handleOpen('quarterReport')">
                        {{ row.seasonReport }}
                    </div>
                </template>
            </el-table-column>
        </el-table>
        <div style="width: 10px"></div>
        <el-table
            height="400"
            align="center"
            :data="tableData"
            class="dialog_table"
            :cell-style="{'text-align': 'center'}"
            :header-cell-style="{'text-align': 'center'}"
        >
            <el-table-column
                prop="reformReport"
                label="改革满意度历史报告"
                show-overflow-tooltip
                ><template v-slot="{row}">
                    <div @click="handleOpen('satisfactionReport')">
                        {{ row.reformReport }}
                    </div>
                </template>
            </el-table-column>
        </el-table>
        <EasyDialog
            v-model="showEasy"
            :width="dialogOption.width"
            :title="dialogOption.dialogTitle"
        >
            <component
                v-bind:is="currentTabComponent"
                :tableOptions="tempTableOptions"
            ></component>
        </EasyDialog>
    </div>
</template>

  <script>
import EasyDialog from '@/views/BigScreen/components/easy-dialog/index.vue'
import pagenation from './pagenation.vue'
import dialogComponents from '@/views/BigScreen/js/dialog_components.js'
import dialogConfig from '@/views/BigScreen/js/DistrictReformDialogConfig.js'
export default {
    components: {
        EasyDialog,
        pagenation,
        ...dialogComponents,
    },
    props: {
        tableOptions: {
            type: Object,
            default: () => {
                return {}
            },
        },
    },
    data() {
        return {
            showEasy: false,
            currentTabComponent: '',
            dialogOption: {
                dialogTitle: '',
                width: '50%',
            },
            tempTableOptions: null,
            tableData: [
                {
                    id: 1,
                    seasonReport: '一季度总报告',
                    reformReport: '一季度改革满意度报告',
                },
                {
                    id: 2,
                    seasonReport: '二季度总报告',
                    reformReport: '二季度改革满意度报告',
                },
                {
                    id: 3,
                    seasonReport: '三季度总报告',
                    reformReport: '三季度改革满意度报告',
                },
                {
                    id: 4,
                    seasonReport: '四季度总报告',
                    reformReport: '四季度改革满意度报告',
                },
            ],
        }
    },
    methods: {
        handleOpen(type) {
            this.currentTabComponent = dialogConfig.dialogOption[type]
                .componentName
                ? dialogConfig.dialogOption[type].componentName
                : type // 动态组件名称
            this.tempTableOptions = dialogConfig.dialogOption[type].dataOptions //table的查询参数
            this.dialogOption = dialogConfig.dialogOption[type].option //弹窗配置参数
            this.showEasy = true
        },
    },
}
</script>
<style lang="scss" scoped>

</style>
<style lang="scss">
@import './table.scss';
</style>
